
QGIS Application - Feature request #3486

Snapping for move tool

2011-02-13 01:57 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13546

Description

When using the move tool the mouse should snap (to layers with snapping enabled):

1) when clicking, to select where to drag from, and

2) when releasing, to select where to drag to.

History

#1 - 2011-03-07 09:21 PM - Alister Hood

There is a workaround, but only for moving one object at a time:

Use the node tool and select all the vertices in the object to move at once.

#2 - 2011-12-10 05:44 AM - Paolo Cavallini

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

See also #4436

#3 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2015-11-19 07:54 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

in QGIS 2.13 master it is still not possible to snap when moving a feature. The workaround in the first comment seems to not work anymore...
#7 - 2015-12-22 05:22 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#8 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#9 - 2017-05-01 05:42 PM - Regis Haubourg

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Done in master 2.99
